ts = 16

board = {x=9,y=52}

function drawBoard()
  bevelBox(board.x,board.y,ts*mapW,ts*mapH,3)
  setColor(bevelc3)
  for tx=0,mapW-1 do
    love.graphics.line(board.x+tx*ts+1,board.y,board.x+tx*ts+1,board.y+mapH*ts)
  end
  for ty=0,mapH-1 do
    love.graphics.line(board.x,board.y+ty*ts,board.x+mapW*ts,board.y+ty*ts)
  end
  --local mx,my = love.mouse.getPosition()
  for tx=1,mapW do
    for ty=1,mapH do
      local dx,dy = tx*ts-ts+board.x,ty*ts-ts+board.y
      --local mtx,mty = math.floor(mx/ts),math.floor(my/ts)
      if revealedMap[ty][tx] then
        if numberMap[ty][tx] > 0 then
          --love.graphics.setColor(0,0,0)
          --love.graphics.print(numberMap[ty][tx],dx+x,dy+y)
          love.graphics.setColor(1,1,1)
          drawTile(tostring(numberMap[ty][tx]),dx,dy)
        end
      elseif (pressed.x ~= tx or pressed.y ~= ty) and not (((love.mouse.isDown(1) and love.mouse.isDown(2)) or love.mouse.isDown(3)) and aabb(tx,ty,1,1,pressed.x-1,pressed.y-1,3,3) and state == "game") or flagMap[ty][tx] == 1 then
        bevelBox(dx+2,dy+2,ts-4,ts-4,2,true)
      end
      if mineMap[ty][tx] and state == "lose" then
        --love.graphics.setColor(1,0,0)
        --love.graphics.circle("fill",dx+ts/2,dy+ts/2,3)
        love.graphics.setColor(1,1,1)
        if pressed.x == tx and pressed.y == ty then
          drawTile("mineclicked",dx,dy)
        elseif flagMap[ty][tx] ~= 1 then
          drawTile("mine",dx,dy)
        end
      end
      --love.graphics.setColor(0,0,0)
      love.graphics.setColor(1,1,1)
      if flagMap[ty][tx] == 1 then
        if not mineMap[ty][tx] and state == "lose" then
          drawTile("minewrong",dx,dy)
        else
          drawTile("flag",dx,dy)
        end
      elseif flagMap[ty][tx] == 2 and not(mineMap[ty][tx] and state == "lose") then
        drawTile("mark",dx,dy)
      end
    end
  end
end