digitImgs = {}

for i=0,9 do
  table.insert(digitImgs,love.graphics.newImage("assets/digit_" .. i .. ".png"))
end

digitW,digitH = digitImgs[1]:getDimensions()

minusImg = love.graphics.newImage("assets/digit_-.png")

table.insert(digitImgs,minusImg)

digitMargin = 2
digitEdgeMargin = 1

function drawCounter(num,len,x,y)
  bevelBox(x-digitEdgeMargin,y-digitEdgeMargin,(digitW+digitMargin)*len,digitH+digitEdgeMargin*2,1)
  love.graphics.setColor(0,0,0)
  love.graphics.rectangle("fill",x-digitEdgeMargin,y-digitEdgeMargin,(digitW+digitMargin)*len,digitH+digitEdgeMargin*2)
  love.graphics.setColor(1,1,1)
  local digits = {}
  local s = tostring(math.abs(num))
  if #s < len then
    for i=1,len-#s do
      if i == 1 and num < 0 then
        table.insert(digits,11)
      else
        table.insert(digits,1)
      end
    end
  end
  for i=1,#s do
    local n = tonumber(string.sub(s,i,i))+1
    table.insert(digits,n)
  end
  for i,d in ipairs(digits) do
    local dx = (digitW+digitMargin)*(i-1)
    love.graphics.draw(digitImgs[d],x+dx,y)
  end
end