faceImgNames = {"careful","gameover","normal","win"}

faceImgs = {}

for _,n in ipairs(faceImgNames) do
  local img = love.graphics.newImage("assets/face_" .. n .. ".png")
  faceImgs[n] = img
end

function drawFaceImg(n,x,y)
  love.graphics.draw(faceImgs[n],x,y)
end

faceBtnImgs = {love.graphics.newImage("assets/facebtn_up.png"),love.graphics.newImage("assets/facebtn_down.png")}

faceBtn = {x=300,y=12,w=26,h=26,ix=5,iy=5,img="normal",pressed=false}

function drawFaceBtn()
  love.graphics.setColor(1,1,1)
  if faceBtn.pressed then
    love.graphics.draw(faceBtnImgs[2],faceBtn.x,faceBtn.y)
  else
    love.graphics.draw(faceBtnImgs[1],faceBtn.x,faceBtn.y)
    drawFaceImg(faceBtn.img,faceBtn.x+faceBtn.ix,faceBtn.y+faceBtn.iy)
    --[[if love.mouse.isDown(1) then
      drawFaceImg("careful",faceBtn.x+faceBtn.ix,faceBtn.y+faceBtn.iy)
    elseif state == "lose" then
      drawFaceImg("gameover",faceBtn.x+faceBtn.ix,faceBtn.y+faceBtn.iy)
    elseif state == "win" then
      drawFaceImg("win",faceBtn.x+faceBtn.ix,faceBtn.y+faceBtn.iy)
    end]]
  end
end