fillDirs = {{x=0,y=1},{x=-1,y=0},{x=0,y=-1},{x=1,y=0}}

function floodFill(map,x,y,...)
  local tilesToFill = {}
  for i,n in ipairs({...}) do
    tilesToFill[n] = true
  end
  local mapW,mapH = #map[1],#map
  local fillMap = newArr(mapW,mapH,false)
  fillMap[y][x] = true
  local fills = {{x=x,y=y}}
  --local oldFills = 0
  local added = false
  repeat
    --oldFills = #fills
    added = false
    for _,f in ipairs(fills) do
      for _,d in ipairs(fillDirs) do
        local tx,ty = f.x+d.x,f.y+d.y
        if tx >= 1 and tx <= mapW and ty >= 1 and ty <= mapH and tilesToFill[map[ty][tx]] and not fillMap[ty][tx] then
          table.insert(fills,{x=tx,y=ty})
          fillMap[ty][tx] = true
          added = true
        end
      end
    end
    --print(#fills)
  until added == false
  return fills
end